<html><head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <title>imstitchimage_params</title>
    <style type="text/css" media="all">
      @import url("scilab_code.css");
      @import url("xml_code.css");
      @import url("c_code.css");
      @import url("style.css");
    </style>
  </head>
  <body>
    <div class="manualnavbar">
    <table width="100%"><tr>
      <td width="30%">
    	<span class="previous"><a href="imstitchimage.html">&lt;&lt; imstitchimage</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_addb367ddd42050cea4cae9d40b42c2c.html">Image Stitching</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="section_b3a0ff2ebb57a346dc30951a6e2cd459.html">Image Transforms &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>



    <span class="path"><a href="index.html">IPCV - Image Processing and Computer Vision Toolbox for Scilab</a> &gt;&gt; <a href="section_addb367ddd42050cea4cae9d40b42c2c.html">Image Stitching</a> &gt; imstitchimage_params</span>

    <br /><br />
    <div class="refnamediv"><h1 class="refname">imstitchimage_params</h1>
    <p class="refpurpose">Image Stitching Parameters</p></div>


<div class="refsynopsisdiv"><h3 class="title">Syntax</h3>
   <div class="synopsis"><pre><span class="default">params</span><span class="default"> = </span><span class="functionid">imstitchimage_params</span><span class="default">()</span></pre></div></div>

<div class="refsection"><h3 class="title">Parameters</h3>
   <dl><dt><span class="term">params :</span>
      <dd><p class="para">A structure which consist of following fields, used for imstitchimage.</p></dd></dt>
   <dt><span class="term">RegistrationResol :</span>
      <dd><p class="para">Resolution for image registration step. The default is 0.6 Mpx</p></dd></dt>
   <dt><span class="term">SeamEstimationResol :</span>
      <dd><p class="para">Resolution for seam estimation step. The default is 0.1 Mpx</p></dd></dt>
   <dt><span class="term">CompositingResol :</span>
      <dd><p class="para">Resolution for compositing step. Use -1 for original resolution.The default is 1</p></dd></dt>
   <dt><span class="term">PanoConfidenceThresh :</span>
      <dd><p class="para">Threshold for two images are from the same panorama confidence. The default is 1</p></dd></dt>
   <dt><span class="term">WaveCorrection :</span>
      <dd><p class="para">Perform wave effect correction. The default is 1</p></dd></dt>
   <dt><span class="term">BlenderBands :</span>
      <dd><p class="para">Then number of bands for MultiBandBlender. The default is 100</p></dd></dt></dl></div>

<div class="refsection"><h3 class="title">Description</h3>
   <p class="para">This function is used to create the initial parameters structure with initial values. The fields value could be easily changed and it will affect the stitching result.</p>
   <p class="para"></p></div>

<div class="refsection"><h3 class="title">Examples</h3>
   <div class="programlisting"><table border="0" width="100%"><tr><td width="98%"><pre class="scilabcode"></pre></td><td valign="top"><a href="scilab://scilab.execexample/"><img src="ScilabExecute.png" border="0"/></a></td><td valign="top"><a href="scilab://scilab.editexample/"><img src="ScilabEdit.png" border="0"/></a></td><td></td></tr></table></div></div>

<div class="refsection"><h3 class="title">See also</h3>
   <ul class="itemizedlist"><li class="member"><a href="imstitchimage.html" class="link">imstitchimage</a></li></ul></div>

<div class="refsection"><h3 class="title">Authors</h3>
   <ul class="itemizedlist"><li class="member">Tan Chin Luh</li></ul></div>
    <br />

    <div class="manualnavbar">
    <table width="100%">
    <tr><td colspan="3" class="next"><a href="http://bugzilla.scilab.org/enter_bug.cgi?product=Scilab%20software&component=Documentation%20pages" class="ulink">Report an issue</a></td></tr>
<tr>
      <td width="30%">
    	<span class="previous"><a href="imstitchimage.html">&lt;&lt; imstitchimage</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_addb367ddd42050cea4cae9d40b42c2c.html">Image Stitching</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="section_b3a0ff2ebb57a346dc30951a6e2cd459.html">Image Transforms &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>
  </body>
</html>
